<?php

/*
 * Create by myself to set definited rules for login,
 *  sign up, filling flieds, etc. 
 */
$config = array(
    'signup' => array(
        array(
            'field' => 'name',
            'label' => 'First_name',
            'rules' => 'trim|required|max_length[60]'
        ),
        array(
            'field' => 'surname',
            'label' => 'Second_name',
            'rules' => 'trim|required|max_length[60]'
        ),
        array(
            'field' => 'address',
            'label' => 'Adress',
            'rules' => 'trim|required|max_length[60]'
        ), //introduce birthday
        array(
            'field' => 'nick',
            'label' => 'Nick_name',
            'rules' => 'trim|required|max_length[20]'
        ),
        array(
            'field' => 'email',
            'label' => 'Email',
            'rules' => 'trim|required|valid_email|max_length[100]'
        ),
        array(
            'field' => 'email2',
            'label' => 'Email_confirm',
            'rules' => 'trim|required|matches[email]'
        ),
        array(
            'field' => 'password',
            'label' => 'Password',
            'rules' => 'trim|required|md5|min_length[5]|max_length[50]'
        ),
        array(
            'field' => 'password2',
            'label' => 'Password_confirm',
            'rules' => 'trim|required|matches[password]'
        )
    ),
    'email' => array(
        array(
            'field' => 'emailaddress',
            'label' => 'EmailAddress',
            'rules' => 'required|valid_email'
        ),
        array(
            'field' => 'name',
            'label' => 'Name',
            'rules' => 'required|alpha'
        ),
        array(
            'field' => 'title',
            'label' => 'Title',
            'rules' => 'required'
        ),
        array(
            'field' => 'message',
            'label' => 'MessageBody',
            'rules' => 'required'
        )
    )/*, implementar si fuera necesario
    'search' => array(
        array(
            'field' => 'search',
            'label' => 'search',
            'rules' => 'trim|min_lenght[2]')
    )*/
);


