//
//  AccountViewController.m
//  PruebaPush
//
//  Created by Guillermo Izquierdo on 23/05/11.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#import "AccountViewController.h"
#import "HTMLNode.h"
#import "HTMLParser.h"


@implementation AccountViewController


@synthesize scroll;
@synthesize webData;

@synthesize personalInformation;
@synthesize loginInformation;

@synthesize firstName;
@synthesize secondName;
@synthesize address;
@synthesize nick;
@synthesize email;
@synthesize email2;
@synthesize password;
@synthesize password2;

@synthesize firstN;
@synthesize secondN;
@synthesize add;
@synthesize nickUser;
@synthesize emailUser;
@synthesize emailUser2;
@synthesize passwordUser;
@synthesize passwordUser2;

-(BOOL)textFieldShouldReturn:(UITextField *)textField{
	
	[textField resignFirstResponder];
	return YES;
}



// Implement viewDidLoad to do additional setup after loading the view, typically from a nib.
- (void)viewDidLoad {
	
	scroll.backgroundColor = [UIColor colorWithPatternImage:[UIImage imageNamed:@"background_brown.jpg"]];

	[scroll setScrollEnabled:YES];
	[scroll setContentSize:CGSizeMake(320, 700)];
	
	self.navigationController.navigationBar.tintColor= [UIColor blackColor];

	
    [super viewDidLoad];
}


-(IBAction)buttonClick:(id)sender
{
	
	NSString* name = firstN.text;
	NSString* surname = secondN.text;
	NSString* adduser = add.text;
	NSString* nUser = nickUser.text;
	NSString* e_mail = emailUser.text;
	NSString* e_mail2 = emailUser2.text;
	NSString* passUser = passwordUser.text;
	NSString* passUser2 = passwordUser2.text;


	
	if([firstN.text isEqualToString:@"" ]|| [secondN.text isEqualToString:@""] ||
	    [add.text isEqualToString:@""] || [nickUser.text isEqualToString:@""] ||
	    [emailUser.text isEqualToString:@""] || [emailUser2.text isEqualToString:@""] ||
	   [passwordUser.text isEqualToString:@""] || [passwordUser2.text isEqualToString:@""]) 
	{
		
		UIAlertView *alert = [[UIAlertView alloc]initWithTitle:@"New Account" message:@"Fields Empty" delegate:nil cancelButtonTitle:@"Ok" otherButtonTitles:nil];
		
		[alert show];
		[alert release];
		
		return;
	}
	
	
	NSString *post = 
	[[NSString alloc] initWithFormat:
	 @"name=%@&surname=%@&address=%@&nick=%@&email=%@&email2=%@&password=%@&password2=%@",name,surname,adduser,nUser,e_mail,e_mail2,passUser,passUser2];
	
	NSData *postData = [post dataUsingEncoding:NSASCIIStringEncoding allowLossyConversion:YES];  
	
	NSString *postLength = [NSString stringWithFormat:@"%d", [postData length]];  
	
	NSURL *url = [NSURL URLWithString:@"http://proyecto.lavidapirata.es/site/create_account/"];
	//http://www.chakrainteractive.com/mob/iphone/login/chckusr.php	
	
	NSMutableURLRequest *theRequest = [NSMutableURLRequest requestWithURL:url];
	[theRequest setHTTPMethod:@"POST"];  
	[theRequest setValue:postLength forHTTPHeaderField:@"Content-Length"];  
	[theRequest setHTTPBody:postData];	
	
	
	NSURLConnection *theConnection = [[NSURLConnection alloc] initWithRequest:theRequest delegate:self];
	
	if( theConnection )
	{
		webData = [[NSMutableData data] retain];
	}
	else
	{
		
	}
	
		
	firstN.text = nil; 
	secondN.text = nil; 
	add.text = nil; 
	nickUser.text = nil; 
	emailUser.text = nil; 
	emailUser2.text = nil; 
	passwordUser.text = nil; 
	passwordUser2.text = nil;	
	
}

-(void)connection:(NSURLConnection *)connection didReceiveResponse:(NSURLResponse *)response
{
	[webData setLength: 0];
}
-(void)connection:(NSURLConnection *)connection didReceiveData:(NSData *)data
{
	
	[webData appendData:data];
}
-(void)connection:(NSURLConnection *)connection didFailWithError:(NSError *)error
{
	[connection release];
	[webData release];
}
-(void)connectionDidFinishLoading:(NSURLConnection *)connection
{
	
	NSString *loginStatus = [[NSString alloc] initWithBytes: [webData mutableBytes] length:[webData length] encoding:NSUTF8StringEncoding];
	[loginStatus release];

					
	UIAlertView *alert = [[UIAlertView alloc]initWithTitle:@"Create Account" message:@"You are registered" delegate:nil cancelButtonTitle:@"Ok" otherButtonTitles:nil];
			
	[alert show];
	[alert release];

	
	
	
	
	
	
	[connection release];
	[webData release];
}







// The designated initializer.  Override if you create the controller programmatically and want to perform customization that is not appropriate for viewDidLoad.
/*
- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil {
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        // Custom initialization.
    }
    return self;
}
*/




/*
// Override to allow orientations other than the default portrait orientation.
- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
    // Return YES for supported orientations.
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}
*/

- (void)didReceiveMemoryWarning {
    // Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
    
    // Release any cached data, images, etc. that aren't in use.
}

- (void)viewDidUnload {
    [super viewDidUnload];
    // Release any retained subviews of the main view.
    // e.g. self.myOutlet = nil;
}


- (void)dealloc {
    [super dealloc];
}


@end
