<?php

if (!defined('BASEPATH'))
    exit('No direct script access allowed');

class Common {
    
     public function generate_header($data) {
        $CI = & get_instance();
        //if user is logged then don't show form, show welcome message
        $data['is_logged'] = $this->is_logged_in();
        if ($data['is_logged']) {
            $CI->load->model('clients_model');
            $data['user_nick'] = $CI->clients_model->get_nick();
            $data['message'] = "";
            $CI->load->view('common/header_view', $data);
        } else {
            $data['message'] = "You are NOT logged in :(";
            $CI->load->view('common/header_view', $data);
        }
    }
    
   //Create footer before to be loaded
    public function generate_footer() {
        $CI = & get_instance();
        $CI->load->view('common/footer_view');
    }
    
    public function is_logged_in() {
        $CI = & get_instance();
        $CI->load->library('session');
        $is_logged_in = $CI->session->userdata('is_logged_in');
        if (!isset($is_logged_in) OR $is_logged_in != TRUE) {
            return FALSE;
        } else {
            return TRUE;
        }
    }

}

/* End of file Header.php */
